# HP .spec for lxbios kernel module rpm

## 
# Hewlett-Packard Company Confidential (C) Copyright 2008 Hewlett-Packard Development Company, L.P.
# All rights reserved.
#
# Disclaimer of Warranty: This software is experimental and
# provided "as-is" by Hewlett-Packard Development Company,
# LP. ("HP")  HP shall have no obligation to maintain or
# support this software.  HP makes no express or implied
# warranty of any kind regarding this software including any
# warranties of merchantability, fitness for a particular
# purpose, title or non-infringement.  HP shall not be liable
# for any direct, indirect, special, incidental, or consequential
# damages, whether based on contract, tort or any other legal
# theory, in connection with or arising out of the furnishing,
# performance or use of this software.
## 
## kernel version
# if kversion isn't defined on rpm build line, build against current kernel
#%{!?kversion: %define kversion %(uname -r)}

%define kversion %(uname -r)

# hint: this can he overridden with "--define kversion foo" on the rpmbuild command line, e.g.
# --define "kversion 2.6.16-1.2096_FC5"

## Kernel Variants
# This spec only meant for currently running kernel. 

%define logFile /var/log/hp-lxbios.log
%define targetDir /lib/modules/%{kversion}/kernel/drivers/xwkernel


Name:       hp-lxbios-mod
Version:    3.1
Release:    1_%(echo %{kversion} | tr - .)
Summary:    hp lxbios BIOS flash utility kernel module

License:    Redistributable, no modification permitted
Group:      System Environment/Kernel
#URL:        http://www.

## Source is created from these files: 
Source0:     %{name}.tgz

ExclusiveOS: linux
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)
#ExclusiveArch: i386 x86_64

%description
The hp lxbios %{version} kernel module for kernel %{kversion}.


%prep
%setup -q -c -a 0


%build
[ -n $RPM_BUILD_ROOT -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}
cd hp-lxbios-mod
# make
./mkit


%install
rm -rf $RPM_BUILD_ROOT
install -D -m 0644 hp-lxbios-mod/xwbios.ko $RPM_BUILD_ROOT/%{targetDir}/xwbios.ko
chmod u+x $RPM_BUILD_ROOT/%{targetDir}/xwbios.ko


%clean
[ -n $RPM_BUILD_ROOT -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
# Register the module
depmod
modprobe xwbios


%postun
depmod


%files
%{targetDir}/xwbios.ko

%changelog
* Wed Jul 28 2010 Lance Celli <lance.celli@hp.com>
- preun- section removed because that functionality
- is handled by the script which launches lxbios.

* Tue Jun 22 2010 Lance Celli <lance.celli@hp.com>
- targetDir changed and a bit cleanup
- post-, preun- and postun-sections added

* Mon Jun 12 2008 Ian Erickson <ian.erickson@hp.com>
- Initial package creation.  

